Subject: [bug#40387] Acknowledgement ([PATCH] gnu: Set JAVA_HOME for all Java development kits.)

From: Roel Janssen <[email-masked]>
Date: Thu, 02 Apr 2020 10:56:54 +0200

On Thu, 2020-04-02 at 10:28 +0200, Pierre Neidhardt wrote:
> I cannot test this patch unfortunately, build icedtea-8 fails for me
> with
> 
> 
> --8<---------------cut here---------------start------------->8---
> INFO: ZIP_DEBUGINFO_FILES=1
> echo Generating precompiled header precompiled.hpp.gch
> Generating precompiled header precompiled.hpp.gch
> mkdir -p .
> /gnu/store/x3jx25cd3q363mr7nbgzrhrv1vza6cf7-gcc-7.4.0/bin/g++ -DLINUX
> -D_GNU_SOURCE -DAMD64 -DPRODUCT -I. -I/tmp/guix-build-icedtea-3.7.0.drv-
> 0/icedtea-2.6.13/openjdk/hotspot/src/share/vm/prims -I/tmp/guix-build-icedtea-
> 3.7.0.drv-0/icedtea-2.6.13/openjdk/hotspot/src/share/vm -I/tmp/guix-build-
> icedtea-3.7.0.drv-0/icedtea-2.6.13/openjdk/hotspot/src/share/vm/precompiled
> -I/tmp/guix-build-icedtea-3.7.0.drv-0/icedtea-
> 2.6.13/openjdk/hotspot/src/cpu/x86/vm -I/tmp/guix-build-icedtea-3.7.0.drv-
> 0/icedtea-2.6.13/openjdk/hotspot/src/os_cpu/linux_x86/vm -I/tmp/guix-build-
> icedtea-3.7.0.drv-0/icedtea-2.6.13/openjdk/hotspot/src/os/linux/vm
> -I/tmp/guix-build-icedtea-3.7.0.drv-0/icedtea-
> 2.6.13/openjdk/hotspot/src/os/posix/vm -I../generated
> -DHOTSPOT_RELEASE_VERSION="\"25.161-b12\""
> -DHOTSPOT_BUILD_TARGET="\"product\"" -DHOTSPOT_BUILD_USER="\"nixbld\""
> -DHOTSPOT_LIB_ARCH=\"amd64\" -DHOTSPOT_VM_DISTRO="\"OpenJDK\""
> -DDERIVATIVE_ID="\"IcedTea 3.7.0\"" -DDISTRIBUTION_ID="\"Custom build\""  -
> DTARGET_OS_FAMILY_linux -DTARGET_ARCH_x86 -DTARGET_ARCH_MODEL_x86_64
> -DTARGET_OS_ARCH_linux_x86 -DTARGET_OS_ARCH_MODEL_linux_x86_64
> -DTARGET_COMPILER_gcc -DCOMPILER2 -DCOMPILER1 -fPIC -fno-rtti -fno-exceptions
> -D_REENTRANT -fcheck-new -fvisibility=hidden -m64  -pipe -fno-strict-
> aliasing  -g -fno-omit-frame-pointer -O3  -DVM_LITTLE_ENDIAN -D_LP64=1  -
> Wpointer-arith -Wsign-compare -Wundef -Wunused-function -Wunused-value   -g
> -O2 -fno-delete-null-pointer-checks -fno-lifetime-dse -std=gnu++98 -c -MMD -MP
> -MF ../generated/dependencies/precompiled.hpp.gch.d -fpch-deps -x c++-header
> /tmp/guix-build-icedtea-3.7.0.drv-0/icedtea-
> 2.6.13/openjdk/hotspot/src/share/vm/precompiled/precompiled.hpp -o
> precompiled.hpp.gch 
> In file included from /tmp/guix-build-icedtea-3.7.0.drv-0/icedtea-
> 2.6.13/openjdk/hotspot/src/share/vm/precompiled/precompiled.hpp:315:0:
> /tmp/guix-build-icedtea-3.7.0.drv-0/icedtea-
> 2.6.13/openjdk/hotspot/src/share/vm/gc_implementation/parallelScavenge/paralle
> lScavengeHeap.hpp:250:2: fatal error: can't write PCH file: No space left on
> device
>  };
>   ^
> compilation terminated.
> --8<---------------cut here---------------end--------------->8---
> 
> Even though I do have enough space and memory left.
> Unsure what's going on.
> 

Is your /tmp a separate partition, and full at the time this build fails?

Kind regards,
Roel Janssen